#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int N, Q, a, b;
    int i; 
    vector<int>va;
    vector<int>vb; 
    cin >> N >> Q;
    for(i = 0; i < N; i++){
        cin >> a;
        va.push_back(a);
    }
    for(i = 0; i < Q; i++){
        cin >> b;
        vb.push_back(b);
    } 
    for(i = 0; i < N; i++){
        sort(va.begin(), va.end());
    }
    cout << va[medijana];
    return 0;
}